package com.fs.watch.domain;

import java.io.Serializable;
import java.util.UUID;

/**
 * 设备温度数据
 * @TableName watch_temperature_data
 */
public class WatchTemperatureData implements Serializable {
    /**
     *
     */
    private UUID id;

    /**
     *
     */
    private String deviceId;

    /**
     *
     */
    private Double envTemp;

    /**
     *
     */
    private Double estTemp;

    /**
     *
     */
    private Double axillaryTemp;

    /**
     *
     */
    private Double shellTemp;



    /**
     * 状态 0:正常 1:过高 2:过低
     */
    private Integer status;

    /**
     *
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    public UUID getId() {
        return id;
    }

    /**
     *
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     *
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     *
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     *
     */
    public Double getEnvTemp() {
        return envTemp;
    }

    /**
     *
     */
    public void setEnvTemp(Double envTemp) {
        this.envTemp = envTemp;
    }

    /**
     *
     */
    public Double getEstTemp() {
        return estTemp;
    }

    /**
     *
     */
    public void setEstTemp(Double estTemp) {
        this.estTemp = estTemp;
    }

    /**
     *
     */
    public Double getAxillaryTemp() {
        return axillaryTemp;
    }

    /**
     *
     */
    public void setAxillaryTemp(Double axillaryTemp) {
        this.axillaryTemp = axillaryTemp;
    }

    /**
     *
     */
    public Double getShellTemp() {
        return shellTemp;
    }

    /**
     *
     */
    public void setShellTemp(Double shellTemp) {
        this.shellTemp = shellTemp;
    }

    /**
     *
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     *
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WatchTemperatureData other = (WatchTemperatureData) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
                && (this.getEnvTemp() == null ? other.getEnvTemp() == null : this.getEnvTemp().equals(other.getEnvTemp()))
                && (this.getEstTemp() == null ? other.getEstTemp() == null : this.getEstTemp().equals(other.getEstTemp()))
                && (this.getAxillaryTemp() == null ? other.getAxillaryTemp() == null : this.getAxillaryTemp().equals(other.getAxillaryTemp()))
                && (this.getShellTemp() == null ? other.getShellTemp() == null : this.getShellTemp().equals(other.getShellTemp()))
                && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getEnvTemp() == null) ? 0 : getEnvTemp().hashCode());
        result = prime * result + ((getEstTemp() == null) ? 0 : getEstTemp().hashCode());
        result = prime * result + ((getAxillaryTemp() == null) ? 0 : getAxillaryTemp().hashCode());
        result = prime * result + ((getShellTemp() == null) ? 0 : getShellTemp().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", envTemp=").append(envTemp);
        sb.append(", estTemp=").append(estTemp);
        sb.append(", axillaryTemp=").append(axillaryTemp);
        sb.append(", shellTemp=").append(shellTemp);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
